Debian Bug report logs - #467898
libmodule-pluggable-fast-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libmodule-pluggable-fast-perl; Maintainer for libmodule-pluggable-fast-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libmodule-pluggable-fast-perl is src:libmodule-pluggable-fast-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:24:40 UTC

Severity: important

Tags: patch

Found in version libmodule-pluggable-fast-perl/0.18-1

Fixed in version libmodule-pluggable-fast-perl/0.18-1.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Florian Ragwitz <rafl@debian.org>:
Bug#467898; Package libmodule-pluggable-fast-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Florian Ragwitz <rafl@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libmodule-pluggable-fast-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:20 +0200
Package: libmodule-pluggable-fast-perl
Version: 0.18-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <rafl@debian.org>:
Bug#467898; Package libmodule-pluggable-fast-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Florian Ragwitz <rafl@debian.org>. Full text and rfc822 format available.

Message #10 received at 467898@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467898@bugs.debian.org
Subject: libmodule-pluggable-fast-perl: diff for NMU version 0.18-1.1
Date: Sat, 5 Apr 2008 22:25:15 +0100
[Message part 1 (text/plain, inline)]
tags 467898 + patch
thanks

Hi,

Attached is the diff for my libmodule-pluggable-fast-perl 0.18-1.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[libmodule-pluggable-fast-perl-0.18-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 21:28:18 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467898-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467898-close@bugs.debian.org
Subject: Bug#467898: fixed in libmodule-pluggable-fast-perl 0.18-1.1
Date: Sat, 05 Apr 2008 21:32:21 +0000
Source: libmodule-pluggable-fast-perl
Source-Version: 0.18-1.1

We believe that the bug you reported is fixed in the latest version of
libmodule-pluggable-fast-perl, which is due to be installed in the Debian FTP archive:

libmodule-pluggable-fast-perl_0.18-1.1.diff.gz
  to pool/main/libm/libmodule-pluggable-fast-perl/libmodule-pluggable-fast-perl_0.18-1.1.diff.gz
libmodule-pluggable-fast-perl_0.18-1.1.dsc
  to pool/main/libm/libmodule-pluggable-fast-perl/libmodule-pluggable-fast-perl_0.18-1.1.dsc
libmodule-pluggable-fast-perl_0.18-1.1_all.deb
  to pool/main/libm/libmodule-pluggable-fast-perl/libmodule-pluggable-fast-perl_0.18-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467898@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated libmodule-pluggable-fast-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 21:09:11 +0100
Source: libmodule-pluggable-fast-perl
Binary: libmodule-pluggable-fast-perl
Architecture: source all
Version: 0.18-1.1
Distribution: unstable
Urgency: low
Maintainer: Florian Ragwitz <rafl@debian.org>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 libmodule-pluggable-fast-perl - Fast plugins with instantiation
Closes: 467898
Changes: 
 libmodule-pluggable-fast-perl (0.18-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #467898
Files: 
 da8f7d8aba797c37be3808f0d09ee10d 779 perl optional libmodule-pluggable-fast-perl_0.18-1.1.dsc
 fed2a624c9018478d6d766ddcfdc94c2 1548 perl optional libmodule-pluggable-fast-perl_0.18-1.1.diff.gz
 9f96b21585c48b2797c3ce547938a8e6 6642 perl optional libmodule-pluggable-fast-perl_0.18-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9+X0NIW6CNDsByMRAjRoAJ0RvxxxOLGPHyontmrpmX7rJpb3BgCcDSb8
UXdZ5y8vc8K+2ZEBzB4nQOI=
=HMTI
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:57:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:21:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.